/**
 * COOS - Connected Objects Operating System (www.connectedobjects.org).
 *
 * Copyright (C) 2009 Telenor ASA and Tellu AS. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * You may also contact one of the following for additional information:
 * Telenor ASA, Snaroyveien 30, N-1331 Fornebu, Norway (www.telenor.no)
 * Tellu AS, Hagalokkveien 13, N-1383 Asker, Norway (www.tellu.no)
 */
package org.coos.javaframe.messages;

/**
 * Defines the asynchronous messages that is passed within our ejbframe systems
 */
public class Message {
	public Message nextMessage; // points no next message in a message list

	public Message() {
	}

	/**
	 * Returns the name of the ActorMsg class as a String
	 */
	public final String messageName() {
		String str = String.valueOf(this);

		return str.substring(str.lastIndexOf('.') + 1);
	}

	/**
	 * Returns the content of the message parameters as a String
	 */
	public String messageContent() {
		return "";
	}

	/**
	 * Del is used to return Messages to a subtype-specific freelist. The
	 * default is empty since no freelist is assumed
	 */
	public void del() {
	}
}
